<?php
/**
 * Template Name: Single Page Thank You Code - Article
 *
 * Description: A page template that provides a key component of WordPress as a CMS
 * by meeting the need for a carefully crafted introductory page. The front page template
 * in Twenty Twelve consists of a page content area for adding text, images, video --
 * anything you'd like -- followed by front-page-only widgets in one or two columns.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>

	<div id="primary" class="site-content column">
		<div id="content" role="main">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<header class="entry-header">


			<h1 class="entry-title"><?php the_title(); ?></h1>

		</header><!-- .entry-header -->
        
        
        <div class="entry-content">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php the_content( __( '', 'twentytwelve' ) ); ?>
			<?php endwhile; // end of the loop. ?>
            <p><b>CSS Code (Place before <&#47;head>):</b></p>
            <textarea id="css-copy-code" style="width:100%;padding:50px 0;"> <link href="https://redteadetox.com/thankyoupage/css/1-0-1.min.css" rel="stylesheet" type="text/css"> <style type="text/css"> .redteadetox{border: 3px solid #e31e27 !important; background-image: url('https://redteadetox.com/thankyoupage/images/thanks-bg-min.png');}.redteadetox header{top: 0 !important;}.redteadetox main{background: none; padding: 0;}.redteadetox .redteadetox-header{position: relative;}.clearfix{display: block;}.redteadetox .text-accent-pink{color: #e31e27 !important;}.redteadetox-nutrition-checklist > li strong{color: #b4db2a;}.redteadetox .text-accent-gold{color: #b4db2a;}.redteadetox-nutrition-checklist.pink > li::before{background-image: url('https://redteadetox.com/thankyoupage/images/Tick_circle.png');}.container{width:60%; margin: 0 auto; padding: 50px 0 100px 0;}.container textarea{width: 100%; padding: 50px;}</style></textarea>
            <p></p>
            <p><b>HTML Code (Place where you want it to appear):</b></p>
            <textarea id="html-copy-code" style="width:100%;padding:50px 0;"> <section class="redteadetox"> <header class="redteadetox-header"> <div class="containerthank"> <div class="heading-group"> <h1 class="text-raised"><em>Your Surprise NEW Bonus</em></h1> <h2 class="text-raised fw-lighter">- Delicious <em class="fw-bold text-floating text-accent-pink">Fat-Burning</em> TEA!</h2> </div></div></header> <main> <section> <div class="containerthank"> <div class="row"> <div class="col-md-8"> <h5 class="text-center text-raised"><em>The Red Tea Detox</em> <span class="text-accent-blue fw-lighter">is a yummy, sweet flavored tea blend found in West Africa that helps suppress hunger cravings and speeds up your </span> <em class="text-accent-gold">metabolism!</em></h5> <div class="hidden-md hidden-lg" style="margin-bottom: 20px;"> <img style="max-width: 300px;" class="center-block redteadetox-logo-shadow" src="https://redteadetox.com/thankyoupage/images/logo-white.png" alt="RedTeaDetox logo"> <img class="center-block redteadetox-bags-glow" src="https://redteadetox.com/thankyoupage/images/mix-good-small.png" alt="RedTeaDetox bags - tea packets"> </div><figure class="redteadetox-panel"> <div class="row"> <div class="col-sm-6"> <ul class="redteadetox-nutrition-checklist pink"> <li>Low in <strong>calories and sugar</strong></li><li>Great source of <strong>antioxidants</strong></li><li><strong>Helps detox your </strong> belly!</li></ul> </div><div class="col-sm-6"> <ul class="redteadetox-nutrition-checklist pink"> <li><strong>100% natural</strong> and delicious</li><li><strong>Gluten-free</strong> and<br><strong>diabetic-friendly</strong></li></ul> </div></div></figure> <h4 class="text-center text-raised" style="margin: 20px auto 0 auto; max-width: 450px;"><em>Click below <span class="text-accent-blue">to watch a <u class="text-accent-gold">FREE</u> short video on how to make <span style="color: #b4db2a;">this delicious blend at home!</span></span></em></h4> <div class="redteadetox-cta-wrapper"> <div class="redteadetox-cta-containerthank"> <img src="https://redteadetox.com/thankyoupage/images/left-arrow-red.png" alt="left arrow"> <a href="http://www.redteadetox.com" class="btn-cta" target="_blank">YES, I WANT TO TRY THIS FAT-BURNING TEA!</a> <img src="https://redteadetox.com/thankyoupage/images/arrow-red.png" alt="right arrow"> </div></div></div><div class="col-md-4 hidden-sm hidden-xs"> <img class="redteadetox-logo-shadow" src="https://redteadetox.com/thankyoupage/images/logo-white.png" alt="RedTeaDetox logo"> <img class="redteadetox-bags-glow" src="https://redteadetox.com/thankyoupage/images/mix-good-small.png" alt="RedTeaDetox bags - tea packets"> </div></div></div></section> </main> </section></textarea>
        
<div class="email-wrapper">
<?php if( have_rows('article') ): ?>
	<?php while( have_rows('article') ): the_row(); 

		// vars
		$title = get_sub_field('article_title');
		$subject = get_sub_field('article_subject');
        $text = get_sub_field('article_text');
		?>
        
       <div class="email-list articles-list">
        <p class="banner-title"><strong><?php echo $title; ?></strong></p>
                
        <label>Title:</label><input value="<?php echo $subject; ?>">
        <p class="label">Text:</p>
        <div class="textarea"><?php echo $text; ?></div>

        </div>
	<?php endwhile; ?>
<?php endif; ?>
</div>

</div>
</article>

		</div><!-- #content -->
	</div><!-- #primary -->

<script type="text/javascript">
$(document).ready(function() {
		$(".fancybox").fancybox();
	});
	
jQuery('#type').on("input", function() {
    jQuery(".change").text(this.value);
});
  
jQuery('#hit').click(function(event) {
     var username = jQuery('#type').val();

	jQuery('.link-change a').each(function() {
     Query(this).attr("href", function(index, old) {
         return old.replace('YOURNAME', username);
      });
 });
 
 
// jQuery( ".link-change" ).wrapInner(function() {
//  return "<textarea></textarea>";
//});

});	   
</script>



<?php get_sidebar(); ?>
<?php get_footer(); ?>